com.google.web.bindery.requestfactory.server

## Class RequestFactoryJarExtractor.ErrorContext

- java.lang.Object
- - com.google.web.bindery.requestfactory.server.RequestFactoryJarExtractor.ErrorContext

Enclosing class:
  RequestFactoryJarExtractor

    static class RequestFactoryJarExtractor.ErrorContext
    extends java.lang.Object

Improves error messages by providing context for the user.

Visible for testing.

### Constructor Summary

Constructors
`` `ErrorContext(java.util.logging.Logger logger)`
`protected` `ErrorContext(RequestFactoryJarExtractor.ErrorContext parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected RequestFactoryJarExtractor.ErrorContext` `fork()`
`void` `poison(java.lang.String msg, java.lang.Object... args)`
`void` `poison(java.lang.String msg, java.lang.Throwable t)`
`RequestFactoryJarExtractor.ErrorContext` `setMethod(org.objectweb.asm.commons.Method method)`
`RequestFactoryJarExtractor.ErrorContext` `setType(org.objectweb.asm.Type type)`
`void` `spam(java.lang.String msg, java.lang.Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorContext

    public ErrorContext(java.util.logging.Logger logger)

#### ErrorContext

    protected ErrorContext(RequestFactoryJarExtractor.ErrorContext parent)

### Method Detail

#### poison

    public void poison(java.lang.String msg,
                       java.lang.Object... args)

#### poison

    public void poison(java.lang.String msg,
                       java.lang.Throwable t)

#### setMethod

    public RequestFactoryJarExtractor.ErrorContext setMethod(org.objectweb.asm.commons.Method method)

#### setType

    public RequestFactoryJarExtractor.ErrorContext setType(org.objectweb.asm.Type type)

#### spam

    public void spam(java.lang.String msg,
                     java.lang.Object... args)

#### fork

    protected RequestFactoryJarExtractor.ErrorContext fork()